@import url("https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

/*=============================================================
  mv
=============================================================*/
.p-mv {
  position: relative;
  height: 520px;
}
.p-mv__kv {
  position: relative;
  height: 100%;
  display: block;
}
.p-mv__kv::after {
  content: "";
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 100%;
  height: 100px;
  background: linear-gradient(to top, #006dd2, transparent);
}
.p-mv__kv-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center top;
}
.p-mv__container {
  width: 90%;
  margin: 0 auto;
  padding: 0 5%;
  position: absolute;
  bottom: 30px;
  left: 0;
}
.p-mv__heading {
  display: flex;
  gap: 30px;
  margin-bottom: 20px;
}
.p-mv__heading span {
  font-family: "EB Garamond", serif;
  font-size: clamp(77px, 8vw, 130px);
  font-weight: 400;
  color: #fff;
  line-height: 1;
  display: flex;
  margin-bottom: -10px;
}
.p-mv__lead {
  color: #fff;
}

/*=============================================================
  section common
=============================================================*/
/* layout
--------------------------------------------------------------*/
.l-section {
  margin: 80px 0;
}
.l-container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 7%;
}
/* p-title
--------------------------------------------------------------*/
.p-title {
  margin-bottom: 20px;
}
.p-title__sub {
  color: var(--keyColor);
}
.p-title__main {
  font-size: clamp(46px, 10vw, 100px);
  font-family: "Inter", sans-serif;
  font-weight: 600;
  color: var(--textKeyColor);
  line-height: 1;
  margin-top: -5px;
}

/*=============================================================
  p-news
=============================================================*/
.p-news__wrapper {
  position: relative;
}
.p-news__swiper {
  margin: 50px auto;
  margin-right: calc(50% - 50vw);
  margin-left: calc(50% - 50vw);
}
.swiper-wrapper {
  padding-bottom: 80px;
}
.p-news .c-card::after {
  content: none !important;
}
.p-news .c-list-button {
  justify-content: center;
  grid-template-columns: repeat(auto-fit, minmax(260px, 260px));
}
.p-news a[href$=".pdf"][target="_blank"] .c-link::after {
  content: "";
  background: url(/assets/img/icon-pdf.svg) no-repeat;
  background-size: cover;
  width: 18px;
  height: 18px;
  display: inline-block;
  position: relative;
  top: 3px;
  right: -5px;
}
.p-news a[target="_blank"] .c-link::after {
  content: "";
  background: url(/assets/img/icon-blank-b.svg) no-repeat;
  background-size: cover;
  width: 15px;
  height: 15px;
  display: inline-block;
  position: relative;
  top: 1px;
  right: -3px;
}
.p-news a[href$=".pdf"][target="_blank"]:hover .c-link::after,
.p-news a[target="_blank"]:hover .c-link::after {
  transform: none;
}
/* swiper
--------------------------------------------------------------*/
.swiper-button-next,
.swiper-button-prev {
  background: url(/img/news-arrow.svg) no-repeat;
  background-size: cover;
  width: 63px;
  height: 63px;
  top: var(--swiper-navigation-top-offset, 42%) !important;
  transition:
    opacity var(--transition),
    background var(--transition);
}
.swiper-button-next:hover,
.swiper-button-prev:hover {
  background: url(/img/news-arrow_hover.svg) no-repeat;
  background-size: cover;
}
.swiper-button-next {
  right: -2% !important;
}
.swiper-button-prev {
  left: -2% !important;
  transform: scalex(-1);
}
.swiper-button-next svg,
.swiper-button-prev svg {
  display: none;
}
.swiper-slide {
  width: 330px;
}
.swiper-button-next.swiper-button-disabled,
.swiper-button-prev.swiper-button-disabled {
  cursor: auto;
  opacity: 0;
  pointer-events: none;
}
.swiper-pagination-bullet {
  width: 16px;
  height: 16px;
  border: 2px solid #221919;
  background: #221919;
  box-sizing: border-box;
}
.swiper-pagination-bullet-active {
  border: 2px solid var(--keyColor);
  background: #fff;
}

/*=============================================================
  p-feature
=============================================================*/
.p-feature__link {
  display: block;
  position: relative;
  overflow: hidden;
  border: 1px solid transparent;
  transition: border var(--transition);
}
.p-feature__border {
  position: absolute;
  inset: 0;
  pointer-events: none;
}
.p-feature__link::before,
.p-feature__link::after,
.p-feature__border::before,
.p-feature__border::after {
  content: "";
  position: absolute;
  background: var(--keyColor);
  transition: all var(--transition);
  z-index: 1;
}
.p-feature__link::before {
  top: 0;
  right: 0;
  width: 0;
  height: 1px;
}
.p-feature__link::after {
  bottom: 0;
  left: 0;
  width: 1px;
  height: 1px;
}
.p-feature__border::before {
  bottom: 0;
  left: 0;
  width: 1px;
  height: 0;
}
.p-feature__border::after {
  top: 0;
  right: 0;
  width: 1px;
  height: 0;
}
.p-feature__link:hover::before {
  width: 100%;
}
.p-feature__link:hover::after {
  width: 100%;
}
.p-feature__link:hover .p-feature__border::before {
  height: 100%;
}
.p-feature__link:hover .p-feature__border::after {
  height: 100%;
}
.p-feature__title {
  position: absolute;
  top: 15px;
  left: 7%;
  width: clamp(150px, 25vw, 340px);
}
.p-feature__link .p-feature__image {
  transition: transform var(--transition);
  transform-origin: bottom;
}
.p-feature__link:hover .p-feature__image {
  transform: scale(1.05);
}

/*=============================================================
  p-product
=============================================================*/
.p-product {
  background: #eaf2fd;
  margin-bottom: 0 !important;
  padding: 80px 0 100px;
  padding: 0 5%;
}
.p-product__grid {
  grid-template-columns: auto 53%;
  gap: 5%;
  align-items: center;
  height: clamp(300px, 38vw, 535px);
  padding: 50px 0 100px;
  margin-bottom: 0;
}
.p-product__body {
  position: relative;
  height: 100%;
  display: grid;
  gap: 4% 3%;
}
.p-product__square {
  width: clamp(250px, 35vw, 430px);
  height: clamp(250px, 30vw, 380px);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -40%);
  z-index: 1;
  background: #fff;
  position: absolute;
}
.p-product__para {
  overflow: hidden;
  position: relative;
  opacity: 0;
  transform: translateY(30px);
  transition:
    opacity var(--transition),
    transform var(--transition);
}
.p-product__para.is-show {
  opacity: 1;
  transform: translateY(0);
}
.p-product__image {
  width: clamp(200px, 30vw, 430px);
  height: 120%;
  object-position: 100% 50%;
  object-fit: cover;
  transform: translateY(0);
  will-change: transform;
}
.p-product__para {
  z-index: 2;
  height: 100%;
}
.p-product__para:nth-child(2) {
  grid-column: 1 / 3;
  grid-row: 1;
  margin: auto 0 0 0;
}
.p-product__para:nth-child(3) {
  grid-column: 2 / 3;
  grid-row: 2;
  width: 90%;
  height: 70%;
}
.p-product__para:nth-child(4) {
  grid-column: 1 / 2;
  grid-row: 2;
  width: 88%;
  margin: 25px 0 0 auto;
}
@media (max-width: 1023px) and (min-width: 768px) {
  .p-product__square {
    width: clamp(200px, 30vw, 430px);
    height: clamp(200px, 25vw, 380px);
  }
  .p-product__para:nth-child(2) {
    width: clamp(230px, 28vw, 300px);
  }
}

/*=============================================================
  p-category
=============================================================*/
.l-section + .p-category {
  margin: 0;
}
.p-category {
  background: #eaf2fd;
  display: grid;
  gap: 15px;
  padding: 0 5% 50px;
}
.p-category__item {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 1fr;
  height: 400px;
  align-items: center;
  margin: 0;
  overflow: hidden;
  max-width: 1920px;
  width: 100%;
  margin-inline: auto;
}
.p-category_title {
  position: absolute;
  grid-column: 2;
  padding: 0 5%;
  z-index: 1;
}
.p-category__item:nth-of-type(even) .p-category_title {
  grid-column: 1;
}
.p-category_title > p,
.p-category_title .p-title__sub,
.p-category_title .p-title__main {
  color: #fff;
}
.p-category_title .p-title__main {
  font-size: clamp(46px, 10vw, 70px);
}
.p-category__image {
  height: 100%;
  grid-column: 1 / -1;
  overflow: hidden;
  transition: transform var(--transition);
}
.p-category__about .p-category__image {
  background: url(/img/category-about.jpg) no-repeat;
  background-size: cover;
  background-position: 20% 50%;
}
.p-category__innovation .p-category__image {
  background: url(/img/category-innovation.jpg) no-repeat;
  background-size: cover;
  background-position: 50% 0;
}
.p-category__ir .p-category__image {
  background: url(/img/category-investor.jpg) no-repeat;
  background-size: cover;
  background-position: 50% 50%;
}
.p-category__sustainability .p-category__image {
  background: url(/img/category-sustainability.jpg) no-repeat;
  background-size: cover;
  background-position: 50% 50%;
}
.p-category__recruit .p-category__image {
  background: url(/img/category-recruit.jpg) no-repeat;
  background-size: cover;
  background-position: 50% 50%;
}
@media (hover: hover) {
  .p-category__item:has(.c-link-button:hover) .p-category__image {
    transform: scale(1.1);
  }
}
@media (min-width: 768px) {
  .p-category__recruit .p-category_title {
    left: 50%;
    transform: translateX(-50%);
    min-width: 300px;
  }
}
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Smartphones
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
@media (max-width: 767px) {
  /*=============================================================
		mv
	=============================================================*/
  .p-mv {
    height: 617px;
  }
  .p-mv__kv-image {
    object-position: center center;
  }
  .p-mv__heading {
    flex-wrap: wrap;
    gap: 10px 15px;
    margin-bottom: 10px;
  }

  /*=============================================================
		section common
	=============================================================*/
  /* layout
	--------------------------------------------------------------*/
  .l-section {
    margin: 50px 0;
  }

  /*=============================================================
    p-news
  =============================================================*/
  .p-title {
    margin-bottom: 10px;
  }
  .p-news__swiper {
    margin-top: 20px;
    margin-bottom: -10px;
  }

  /*=============================================================
    p-product
  =============================================================*/
  .p-product__grid {
    grid-template-columns: auto;
    height: auto;
  }
  .p-feature__title {
    width: clamp(120px, 25vw, 340px);
  }
  .p-product__square {
    width: clamp(220px, 60vw, 430px);
    height: clamp(190px, 50vw, 350px);
  }
  .p-product__image {
    width: clamp(200px, 60vw, 430px);
  }
  .p-product__para:nth-child(3) {
    margin-top: 10px;
    width: 100%;
  }

  /*=============================================================
    p-category
  =============================================================*/
  .p-category__item {
    height: 340px;
  }
  .p-category__item::after {
    width: 85%;
    right: auto;
    left: 0;
    background: linear-gradient(
      to right,
      rgb(0 15 63 / 70%),
      transparent
    ) !important;
  }
  .p-category_title {
    grid-column: 1;
  }
  .p-category__about .p-category__image {
    background: url(/img/category-about_sp.jpg) no-repeat;
    background-size: cover;
    background-position: 20% 0%;
  }
  .p-category__innovation .p-category__image {
    background: url(/img/category-innovation_sp.jpg) no-repeat;
    background-size: cover;
    background-position: 50% 0%;
  }
  .p-category__ir .p-category__image {
    background: url(/img/category-investor_sp.jpg) no-repeat;
    background-size: cover;
    background-position: 50% 0%;
  }
  .p-category__sustainability .p-category__image {
    background: url(/img/category-sustainability_sp.jpg) no-repeat;
    background-size: cover;
    background-position: 50% 0%;
  }
  .p-category__recruit .p-category__image {
    background: url(/img/category-recruit_sp.jpg) no-repeat;
    background-size: cover;
    background-position: 50% 0%;
  }
}
@media (max-width: 499px) {
  /*=============================================================
    p-news
  =============================================================*/
  .p-news__swiper {
    margin-right: auto;
    margin-left: auto;
  }

  /* swiper
  --------------------------------------------------------------*/
  .swiper-wrapper {
    display: block;
    padding-bottom: 0px;
  }
  .swiper-slide {
    width: 100%;
    padding: 24px 0;
    display: none;
  }
  .swiper-slide + .swiper-slide {
    border-top: 1px solid #e4e6eb;
  }
  .swiper-button-next,
  .swiper-button-prev {
    display: none;
  }
  .swiper-slide.sp-show {
    display: block;
  }

  /*=============================================================
    p-feature
  =============================================================*/
  .p-feature__title {
    width: clamp(190px, 50vw, 250px);
    left: 4%;
  }
}
